#pragma once

#include "QUIC.h"
#include <exception>
#include <string>
#include <cutil_inline.h>
#include "cula.h"

class QUICException : public std::exception
{
public:
	QUICException(const char * file, QUIC::Int line, const char * error);
	QUICException(const char * file, QUIC::Int line, cudaError error);
	QUICException(const char * file, QUIC::Int line, culaStatus error);
	std::string msg;
};
