s = RandStream('mcg16807','Seed',0);
RandStream.setDefaultStream(s);
A = single(rand(750,100)*10);
A = single([A A*2 A*2 A*2 A*2 A*2 A*2]); %no more linearly indep columns
size(A)
disp('CPU TEST (MKL)')
tic;
[U, S, VT] = QUICmex('CPU','UGS',A,'epsilon',10^-12,'delta',10^-12,'partitions',1,'profile',1);
toc;
disp('GPU TEST')
tic
[U, S, VT] = QUICmex('GPU','UGS',A,'epsilon',10^-12,'delta',10^-12,'partitions',1,'profile',1);
toc
disp('CPU TEST (MATLAB)')
tic
[u1,s1,v1] = svd(A);
toc
%s = diag(s);
%difference = nnz(S == s(1:size(S,1)))
%s(size(S,1):end)

%norm(S-s,'fro')
%norm([S; zeros(numel(s)-numel(S),1)]-s,'fro')
%clear mex

%orthogonalization method = 'MGS', 'UGS', or 'BLOCK_MGS'