function M = readBin(filename)
% M = readBin(filename)
% Reads a matrx in the format of the freestanding
% QUIC test program.

	f = fopen(filename, 'rb');
	[precision, nc] = fscanf(f, '%c', 7);
	fread(f, 1, 'uint8');
	nr = fread(f, 1, 'int32');
	nc = fread(f, 1, 'int32');
	M = fread(f, nr*nc, precision);
	M = reshape(M, nr, nc);
	M = M';
	fclose(f);

end
