#include "QUIC.h"
#include <new>
#include <iostream>
#include "globalFuncs.h"
#include <sstream>

void * QUIC::Base::operator new(size_t size)
{
	return hostAlloc<char>(size, __FILE__, __LINE__, "Base");
}

void QUIC::Base::operator delete(void * p)
{
	hostFree(p);
}

void * QUIC::Base::operator new(size_t size, const char *file, const QUIC::Int line, char * className)
{
	return hostAlloc<char>(size, file, line, className);
}

void QUIC::Base::operator delete(void * p, const char *file, const QUIC::Int line, char * className)
{
	hostFree(p);
}

void * QUIC::Base::operator new(size_t size, void * placement)
{
	return placement;
}

void QUIC::Base::operator delete(void *, void *)
{}